MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026016Community[OCCT] OCCT:Modeling Algorithmspublic2015-04-03 15:482015-05-14 16:34
ReporterIstvan Csanady 
Assigned Tobugmaster 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0026016: BRepPrimAPI_MakeRevol crash
DescriptionBRepPrimAPI_MakeRevol crashes with the attached shape. I have also attached a possible fix.
Steps To Reproducerestore revolve_crash.brep a
revol r a 0 0 0 0 1 0 90
checkshape r
TagsNo tags attached.
Test case numberbugs modalg_6(011) bug26016
Attached Fileszip file icon revolve_crash.zip (1,527 bytes) 2015-04-03 15:48

- Relationships

-  Notes
(0039232)
git (administrator)
2015-04-03 19:34

Branch CR26016 has been created by msv.

SHA-1: 36a350918ee9a1d1d73e88c4f601bf89c3d18bf8


Detailed log of new commits:

Author: msv
Date: Fri Apr 3 19:34:04 2015 +0300

    0026016: BRepPrimAPI_MakeRevol crash
    
    Correctly treat the case when the line is a trimmed curve.
(0039233)
msv (developer)
2015-04-03 19:35

Dear Istvan, thank you for the patch.
I have changed it a little.
(0039234)
msv (developer)
2015-04-03 19:36

Reviewed.
(0039338)
git (administrator)
2015-04-07 19:02

Branch CR26016 has been updated forcibly by apv.

SHA-1: 9576347b84b5fbcefa02ee0c1a4ab56aa70bd8a3
(0039339)
apv (tester)
2015-04-07 19:03

Branch CR26016 has been rebased on the current master
(0039374)
git (administrator)
2015-04-08 16:41

Branch CR26016 has been updated by apv.

SHA-1: 7d73b397bd534bc12c8a0ac2ab537dc29e9189af


Detailed log of new commits:

Author: apv
Date: Wed Apr 8 16:40:56 2015 +0300

    Test-case for issue 0026016

(0039378)
apv (tester)
2015-04-08 17:34

Dear BugMaster,

Branch CR26016 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 9576347b84b5fbcefa02ee0c1a4ab56aa70bd8a3

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 4 (4 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs modalg_6(011) bug26016 - OK
http://occt-tests/CR26016-master-occt-64/Debian60-64/bugs/modalg_6/bug26016.html [^]
http://occt-tests/CR26016-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug26016.html [^]

Testing on Linux:
Total MEMORY difference: 93660748 / 93972209 [-0.33%]
Total CPU difference: 52668.92999999974 / 52005.12999999961 [+1.28%]

Testing on Windows:
Total MEMORY difference: 57063453 / 57074762 [-0.02%]
Total CPU difference: 16668.89405119888 / 16635.463036899022 [+0.20%]
(0041062)
git (administrator)
2015-05-14 16:34

Branch CR26016 has been deleted by inv.

SHA-1: 7d73b397bd534bc12c8a0ac2ab537dc29e9189af

- Related Changesets
occt: master 24e40cc2
Timestamp: 2015-04-09 12:03:01
Author: msv
Committer: bugmaster
Details ] Diff ]
0026016: BRepPrimAPI_MakeRevol crash

Correctly treat the case when the line is a trimmed curve.

Test-case for issue 0026016
mod - src/BRepSweep/BRepSweep_Rotation.cxx Diff ] File ]
add - tests/bugs/modalg_6/bug26016 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-04-03 15:48 Istvan Csanady New Issue
2015-04-03 15:48 Istvan Csanady Assigned To => msv
2015-04-03 15:48 Istvan Csanady File Added: revolve_crash.zip
2015-04-03 19:34 git Note Added: 0039232
2015-04-03 19:35 msv Note Added: 0039233
2015-04-03 19:35 msv Status new => resolved
2015-04-03 19:35 msv Steps to Reproduce Updated View Revisions
2015-04-03 19:36 msv Note Added: 0039234
2015-04-03 19:36 msv Assigned To msv => bugmaster
2015-04-03 19:36 msv Status resolved => reviewed
2015-04-07 17:52 apv Assigned To bugmaster => apv
2015-04-07 19:02 git Note Added: 0039338
2015-04-07 19:03 apv Note Added: 0039339
2015-04-08 16:41 git Note Added: 0039374
2015-04-08 16:42 apv Test case number => bugs modalg_6(011) bug26016
2015-04-08 17:34 apv Note Added: 0039378
2015-04-08 17:34 apv Assigned To apv => bugmaster
2015-04-08 17:34 apv Status reviewed => tested
2015-04-10 14:09 bugmaster Changeset attached => occt master 24e40cc2
2015-04-10 14:09 bugmaster Status tested => verified
2015-04-10 14:09 bugmaster Resolution open => fixed
2015-05-14 15:28 user533 Status verified => closed
2015-05-14 15:31 user533 Fixed in Version => 6.9.0
2015-05-14 16:34 git Note Added: 0041062


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker